<?php

namespace Predial\Http\Controllers;

use Illuminate\Http\Request;
use Illuminate\Support\Facades\DB;

use Predial\ConceptoResolucion;
use Predial\ResolucionPredio;
use Predial\Resolucion;
use Predial\Predio;
use Predial\TipoConceptoPredial;
use Predial\TipoModificacion;

class ConceptoResolucionController extends Controller{

    public $path = "conceptoResolucion.";

    public function index(){
        if(!empty(session()->get('usuario'))){
            $data = DB::table('gr_concepto_resolucion as cptr')
                        ->select(
                            'cptr.id_unico',
                            'cptr.valoranterior',
                            'cptr.valoractual',
                            'res.nombre',
                            'res.numero',
                            'pre.nombre',
                            'pre.codigo_catastral',
                            'cpr.nombre',
                            'tpm.nombrea'
                        )
                        ->leftJoin('gr_resolucion_predio as rsp', 'cptr.resolucionconcepto', '=', 'rsp.id_unico')
                        ->leftJoin('gr_resolucion as res', 'rsp.resolucion', '=', 'res.id_unico')
                        ->leftJoin('gp_predio1 as pre', 'rsp.predio', '=', 'pre.id_unico')
                        ->leftJoin('gr_concepto_predial as cpr', 'cptr.tipoconcepto', '=', 'cpr.id_unico')
                        ->leftJoin('gr_tipo_modificacion as tpm', 'cptr.tipomodificacion', '=', 'tpm.id_unico')
                        ->get();
            return view($this->path."index")->with('data', $data);
        }else{
            return redirect("CerrarSesion");
        }
    }

    public function create(){
        if(!empty(session()->get('usuario'))){
        }else{
            return redirect("CerrarSesion");
        }
    }

    public function store(){

    }

    public function show(){

    }

    public function edit(){
        if(!empty(session()->get('usuario'))){
        }else{
            return redirect("CerrarSesion");
        }
    }

    public function update(){

    }

    public function destroy(){

    }
}
